alter table URUNDANA_PREFERENCE_PROFILE add constraint FK_URUNDANA_PREFERENCE_PROFILE_ON_USER foreign key (USER_ID) references SEC_USER(ID);
alter table URUNDANA_PREFERENCE_PROFILE add constraint FK_URUNDANA_PREFERENCE_PROFILE_ON_INVESTMENT_BUDGET foreign key (INVESTMENT_BUDGET_ID) references URUNDANA_INVESTMENT_BUDGET(ID);
alter table URUNDANA_PREFERENCE_PROFILE add constraint FK_URUNDANA_PREFERENCE_PROFILE_ON_INVESTMENT_RISK_PREFERENCE foreign key (INVESTMENT_RISK_PREFERENCE_ID) references URUNDANA_INVESTMENT_RISK_PREFERENCE(ID);
alter table URUNDANA_PREFERENCE_PROFILE add constraint FK_URUNDANA_PREFERENCE_PROFILE_ON_INVESTMENT_ROLE_PREFERENCE foreign key (INVESTMENT_ROLE_PREFERENCE_ID) references URUNDANA_INVESTMENT_ROLE_PREFERENCE(ID);
alter table URUNDANA_PREFERENCE_PROFILE add constraint FK_URUNDANA_PREFERENCE_PROFILE_ON_SOURCE_INFO foreign key (SOURCE_INFO_ID) references URUNDANA_SOURCE_INFO(ID);
create index IDX_URUNDANA_PREFERENCE_PROFILE_ON_USER on URUNDANA_PREFERENCE_PROFILE (USER_ID);
create index IDX_URUNDANA_PREFERENCE_PROFILE_ON_INVESTMENT_BUDGET on URUNDANA_PREFERENCE_PROFILE (INVESTMENT_BUDGET_ID);
create index IDX_URUNDANA_PREFERENCE_PROFILE_ON_INVESTMENT_RISK_PREFERENCE on URUNDANA_PREFERENCE_PROFILE (INVESTMENT_RISK_PREFERENCE_ID);
create index IDX_URUNDANA_PREFERENCE_PROFILE_ON_INVESTMENT_ROLE_PREFERENCE on URUNDANA_PREFERENCE_PROFILE (INVESTMENT_ROLE_PREFERENCE_ID);
create index IDX_URUNDANA_PREFERENCE_PROFILE_ON_SOURCE_INFO on URUNDANA_PREFERENCE_PROFILE (SOURCE_INFO_ID);
